Search previous chain runs for an input value

Search previous chain runs for an input value#

Description#

Returns a list of all chain runs whose inputs match the provided search criteria. The search text is fuzzy matched; it matches any input value that contains the provided string. For example, a command that takes a File ID of “my_file_id” as an input can be searched using “my_file_id” as the search text input. The environment ID specifies which environment should be searched for chain run input parameters. The limit and cursor help determine the page size and which page to return.

GET /v1/execute/environment/{environment_id}/chain/inputs_search

Parameters#

Parameter

In

Type

Required

Description

environment_id

path

string

true

The ID of the environment to search for chains run inputs.

search_text

query

string

true

The fuzzy input value to search for.

limit

query

string

false

Limit number of chainExecutors returned (Max 50).

cursor

query

string

false

Cursor value returned from the API, indicating page information.

Code Samples#

curl -X GET https://h.app.wdesk.com/s/wdata/oc/api/v1/execute/environment/{environment_id}/chain/inputs_search \
    -H 'Accept: application/json' \
    -H 'Authorization: Bearer {access-token}' \
    -G \
    --data-urlencoded "search_text=List File"
http GET https://h.app.wdesk.com/s/wdata/oc/api/v1/execute/environment/{environment_id}/chain/inputs_search \
    Accept:application/json \
    Authorization:"Bearer {access-token}" \
    search_text==List File
wget --method=GET "https://h.app.wdesk.com/s/wdata/oc/api/v1/execute/environment/{environment_id}/chain/inputs_search?search_text=List%20File" \
    --output-document -  \ 
    --header 'Accept: application/json' \ 
    --header 'Authorization: Bearer {access-token}'
import requests

headers = {
  'Accept': 'application/json',
  'Authorization': 'Bearer {access-token}'
}

r = requests.get('https://h.app.wdesk.com/s/wdata/oc/api/v1/execute/environment/{environment_id}/chain/inputs_search', params={
  'search_text': 'List File'
}, headers = headers)

print(r.json())

Returns#

200 - OK#

Returns a ChainRunPageResponse containing the ChainRunPage object based on search parameters.

Example Responses#

{
  "data": {
    "cursor": "string",
    "chainExecutors": [
      {
        "id": "1",
        "chainId": "37",
        "envId": "1154",
        "userId": "5",
        "userName": "dev23",
        "startAt": "2019-02-08 06:25:00",
        "endAt": "2019-02-12 06:25:00",
        "pausedAt": "2019-02-12 06:25:00",
        "resumedAt": "2019-02-12 06:25:00",
        "state": "sleeping",
        "launchType": "manual",
        "resultText": ""
      }
    ]
  }
}